Index: /XIOS/trunk/src/node/mesh.hpp
===================================================================
--- /XIOS/trunk/src/node/mesh.hpp	(revision 1638)
+++ /XIOS/trunk/src/node/mesh.hpp	(revision 1639)
@@ -60,9 +60,9 @@
                       const CArray<double, 2>&, const CArray<double, 2>& );
                         
-      void createMeshEpsilon(const ep_lib::MPI_Comm&,
+      void createMeshEpsilon(const MPI_Comm&,
                              const CArray<double, 1>&, const CArray<double, 1>&,
                              const CArray<double, 2>&, const CArray<double, 2>& );
 
-      void getGlobalNghbFaces(const int, const ep_lib::MPI_Comm&, const CArray<int, 1>&,
+      void getGlobalNghbFaces(const int, const MPI_Comm&, const CArray<int, 1>&,
                               const CArray<double, 2>&, const CArray<double, 2>&,
                               CArray<int, 2>&);
@@ -87,6 +87,6 @@
       CClientClientDHTSizet* pNodeGlobalIndex;                    // pointer to a map <nodeHash, nodeIdxGlo>
       CClientClientDHTSizet* pEdgeGlobalIndex;                    // pointer to a map <edgeHash, edgeIdxGlo>
-      void getGloNghbFacesNodeType(const ep_lib::MPI_Comm&, const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&);
-      void getGloNghbFacesEdgeType(const ep_lib::MPI_Comm&, const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&);
+      void getGloNghbFacesNodeType(const MPI_Comm&, const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&);
+      void getGloNghbFacesEdgeType(const MPI_Comm&, const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&);
       void getLocNghbFacesNodeType(const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&, CArray<int, 1>&);
       void getLocNghbFacesEdgeType(const CArray<int, 1>&, const CArray<double, 2>&, const CArray<double, 2>&, CArray<int, 2>&, CArray<int, 1>&);
Index: /XIOS/trunk/src/policy.cpp
===================================================================
--- /XIOS/trunk/src/policy.cpp	(revision 1638)
+++ /XIOS/trunk/src/policy.cpp	(revision 1639)
@@ -49,5 +49,5 @@
 //}
 
-DivideAdaptiveComm::DivideAdaptiveComm(const ep_lib::MPI_Comm& mpiComm)
+DivideAdaptiveComm::DivideAdaptiveComm(const MPI_Comm& mpiComm)
   : internalComm_(mpiComm), level_(0), groupBegin_(), nbInGroup_(), computed_(false)
 {
@@ -61,6 +61,6 @@
 
   int mpiSize, mpiRank;
-  ep_lib::MPI_Comm_size(internalComm_,&mpiSize);
-  ep_lib::MPI_Comm_rank(internalComm_,&mpiRank);
+  MPI_Comm_size(internalComm_,&mpiSize);
+  MPI_Comm_rank(internalComm_,&mpiRank);
 
   int maxChild=1;
Index: /XIOS/trunk/src/policy.hpp
===================================================================
--- /XIOS/trunk/src/policy.hpp	(revision 1638)
+++ /XIOS/trunk/src/policy.hpp	(revision 1639)
@@ -31,5 +31,5 @@
 {
 protected:
-  DivideAdaptiveComm(const ep_lib::MPI_Comm& mpiComm);
+  DivideAdaptiveComm(const MPI_Comm& mpiComm);
 
   void computeMPICommLevel();
@@ -41,5 +41,5 @@
 
 protected:
-  const ep_lib::MPI_Comm& internalComm_;
+  const MPI_Comm& internalComm_;
   std::vector<std::vector<int> > groupParentsBegin_;
   std::vector<std::vector<int> > nbInGroupParents_;
Index: /XIOS/trunk/src/registry.cpp
===================================================================
--- /XIOS/trunk/src/registry.cpp	(revision 1638)
+++ /XIOS/trunk/src/registry.cpp	(revision 1639)
@@ -191,5 +191,5 @@
   {
     int rank ;
-    ep_lib::MPI_Comm_rank(communicator,&rank);
+    MPI_Comm_rank(communicator,&rank);
     if (rank==0)
     {
@@ -197,13 +197,13 @@
       this->toBuffer(buffer) ;
       int size=buffer.count() ;
-      ep_lib::MPI_Bcast(&size,1,EP_INT,0,communicator) ;
-      ep_lib::MPI_Bcast(buffer.start(),size,EP_CHAR,0,communicator) ;
+      MPI_Bcast(&size,1,MPI_INT,0,communicator) ;
+      MPI_Bcast(buffer.start(),size,MPI_CHAR,0,communicator) ;
     }
     else
     {
       int size ;
-      ep_lib::MPI_Bcast(&size,1,EP_INT,0,communicator) ;
+      MPI_Bcast(&size,1,MPI_INT,0,communicator) ;
       CBufferIn buffer(size) ;
-      ep_lib::MPI_Bcast(buffer.start(),size,EP_CHAR,0,communicator) ;
+      MPI_Bcast(buffer.start(),size,MPI_CHAR,0,communicator) ;
       this->fromBuffer(buffer) ;
     }
@@ -214,9 +214,9 @@
   }
 
-  void CRegistry::gatherRegistry(const ep_lib::MPI_Comm& comm)
+  void CRegistry::gatherRegistry(const MPI_Comm& comm)
   {
     int rank,mpiSize ;
-    ep_lib::MPI_Comm_rank(comm,&rank);
-    ep_lib::MPI_Comm_size(comm,&mpiSize);
+    MPI_Comm_rank(comm,&rank);
+    MPI_Comm_size(comm,&mpiSize);
 
     int* sizes=new int[mpiSize] ;
@@ -224,5 +224,5 @@
     this->toBuffer(localBuffer) ;
     int localSize=localBuffer.count() ;
-    ep_lib::MPI_Gather(&localSize,1,EP_INT,sizes,1,EP_INT,0,comm) ;
+    MPI_Gather(&localSize,1,MPI_INT,sizes,1,MPI_INT,0,comm) ;
 
     char* globalBuffer ;
@@ -240,5 +240,5 @@
 
       globalBuffer=new char[globalBufferSize] ;
-      ep_lib::MPI_Gatherv(localBuffer.start(),localSize,EP_CHAR,globalBuffer,sizes,displs,EP_CHAR,0,comm) ;
+      MPI_Gatherv(localBuffer.start(),localSize,MPI_CHAR,globalBuffer,sizes,displs,MPI_CHAR,0,comm) ;
       for(int i=1;i<mpiSize;++i)
       {
@@ -251,5 +251,5 @@
       delete[] globalBuffer ;
     }
-    else  ep_lib::MPI_Gatherv(localBuffer.start(),localSize,EP_CHAR,globalBuffer,sizes,displs,EP_CHAR,0,comm) ;   
+    else  MPI_Gatherv(localBuffer.start(),localSize,MPI_CHAR,globalBuffer,sizes,displs,MPI_CHAR,0,comm) ;   
     delete[] sizes ;
     
@@ -261,9 +261,9 @@
   }
 
-  void CRegistry::hierarchicalGatherRegistry(const ep_lib::MPI_Comm& comm)
+  void CRegistry::hierarchicalGatherRegistry(const MPI_Comm& comm)
   {
     int mpiRank,mpiSize ;
-    ep_lib::MPI_Comm_rank(comm,&mpiRank);
-    ep_lib::MPI_Comm_size(comm,&mpiSize);    
+    MPI_Comm_rank(comm,&mpiRank);
+    MPI_Comm_size(comm,&mpiSize);    
 
     if (mpiSize>2)
@@ -272,20 +272,20 @@
       if (mpiRank<mpiSize/2+mpiSize%2) color=0 ;
       else color=1 ;
-      ep_lib::MPI_Comm commUp ;
-      ep_lib::MPI_Comm_split(comm,color,mpiRank,&commUp) ,
+      MPI_Comm commUp ;
+      MPI_Comm_split(comm,color,mpiRank,&commUp) ,
       hierarchicalGatherRegistry(commUp) ;
-      ep_lib::MPI_Comm_free(&commUp) ;
+      MPI_Comm_free(&commUp) ;
     }
 
     if (mpiSize>1)
     {
-      ep_lib::MPI_Comm commDown ;
+      MPI_Comm commDown ;
       int color ;
       
       if (mpiRank==0 || mpiRank==mpiSize/2+mpiSize%2) color=0 ;
       else color=1 ;
-      ep_lib::MPI_Comm_split(comm,color,mpiRank,&commDown) ;
+      MPI_Comm_split(comm,color,mpiRank,&commDown) ;
       if (color==0) gatherRegistry(commDown) ;
-      ep_lib::MPI_Comm_free(&commDown) ;    
+      MPI_Comm_free(&commDown) ;    
     }
   }
Index: /XIOS/trunk/src/registry.hpp
===================================================================
--- /XIOS/trunk/src/registry.hpp	(revision 1638)
+++ /XIOS/trunk/src/registry.hpp	(revision 1639)
@@ -23,5 +23,5 @@
 
 /** Constructor, the communicator is used for bcast or gather operation between MPI processes */
-      CRegistry(const ep_lib::MPI_Comm& comm=EP_COMM_WORLD) : communicator(comm) {}
+      CRegistry(const MPI_Comm& comm=MPI_COMM_WORLD) : communicator(comm) {}
 
 /** Copy constructor */
@@ -106,8 +106,8 @@
 
 /** use internally for recursivity */
-      void gatherRegistry(const ep_lib::MPI_Comm& comm) ;
+      void gatherRegistry(const MPI_Comm& comm) ;
 
 /** use internally for recursivity */
-      void hierarchicalGatherRegistry(const ep_lib::MPI_Comm& comm) ;
+      void hierarchicalGatherRegistry(const MPI_Comm& comm) ;
 
 
@@ -120,5 +120,5 @@
 
 /** MPI communicator used for broadcast and gather operation */
-      ep_lib::MPI_Comm communicator ;
+      MPI_Comm communicator ;
   } ;
 
Index: /XIOS/trunk/src/server.cpp
===================================================================
--- /XIOS/trunk/src/server.cpp	(revision 1638)
+++ /XIOS/trunk/src/server.cpp	(revision 1639)
@@ -18,9 +18,9 @@
 namespace xios
 {
-    ep_lib::MPI_Comm CServer::intraComm ;
-    std::list<ep_lib::MPI_Comm> CServer::interCommLeft ;
-    std::list<ep_lib::MPI_Comm> CServer::interCommRight ;
-    std::list<ep_lib::MPI_Comm> CServer::contextInterComms;
-    std::list<ep_lib::MPI_Comm> CServer::contextIntraComms;
+    MPI_Comm CServer::intraComm ;
+    std::list<MPI_Comm> CServer::interCommLeft ;
+    std::list<MPI_Comm> CServer::interCommRight ;
+    std::list<MPI_Comm> CServer::contextInterComms;
+    std::list<MPI_Comm> CServer::contextIntraComms;
     int CServer::serverLevel = 0 ;
     int CServer::nbContexts = 0;
@@ -48,5 +48,5 @@
     {
       int initialized ;
-      ep_lib::MPI_Initialized(&initialized) ;
+      MPI_Initialized(&initialized) ;
       if (initialized) is_MPI_Initialized=true ;
       else is_MPI_Initialized=false ;
@@ -59,5 +59,5 @@
         if (!is_MPI_Initialized)
         {
-          ep_lib::MPI_Init(NULL, NULL);
+          MPI_Init(NULL, NULL);
         }
         CTimer::get("XIOS").resume() ;
@@ -72,11 +72,11 @@
         int myColor ;
         int i,c ;
-        ep_lib::MPI_Comm newComm;
-
-        ep_lib::MPI_Comm_size(CXios::globalComm, &size) ;
-        ep_lib::MPI_Comm_rank(CXios::globalComm, &rank_);
+        MPI_Comm newComm;
+
+        MPI_Comm_size(CXios::globalComm, &size) ;
+        MPI_Comm_rank(CXios::globalComm, &rank_);
 
         hashAll=new unsigned long[size] ;
-        ep_lib::MPI_Allgather(&hashServer, 1, EP_LONG, hashAll, 1, EP_LONG, CXios::globalComm) ;
+        MPI_Allgather(&hashServer, 1, MPI_LONG, hashAll, 1, MPI_LONG, CXios::globalComm) ;
 
         map<unsigned long, int> colors ;
@@ -174,5 +174,5 @@
         // (2) Create intraComm
         if (serverLevel != 2) myColor=colors[hashServer];
-        ep_lib::MPI_Comm_split(CXios::globalComm, myColor, rank_, &intraComm) ;
+        MPI_Comm_split(CXios::globalComm, myColor, rank_, &intraComm) ;
 
         // (3) Create interComm
@@ -186,10 +186,10 @@
               clientLeader=it->second ;
               int intraCommSize, intraCommRank ;
-              ep_lib::MPI_Comm_size(intraComm,&intraCommSize) ;
-              ep_lib::MPI_Comm_rank(intraComm,&intraCommRank) ;
+              MPI_Comm_size(intraComm,&intraCommSize) ;
+              MPI_Comm_rank(intraComm,&intraCommRank) ;
               info(50)<<"intercommCreate::server (classical mode) "<<rank_<<" intraCommSize : "<<intraCommSize
                        <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< clientLeader<<endl ;
 
-              ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 0, &newComm) ;
+              MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 0, &newComm) ;
               interCommLeft.push_back(newComm) ;
             }
@@ -207,9 +207,9 @@
               clientLeader=it->second ;
               int intraCommSize, intraCommRank ;
-              ep_lib::MPI_Comm_size(intraComm, &intraCommSize) ;
-              ep_lib::MPI_Comm_rank(intraComm, &intraCommRank) ;
+              MPI_Comm_size(intraComm, &intraCommSize) ;
+              MPI_Comm_rank(intraComm, &intraCommRank) ;
               info(50)<<"intercommCreate::server (server level 1) "<<rank_<<" intraCommSize : "<<intraCommSize
                        <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< clientLeader<<endl ;
-              ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 0, &newComm) ;
+              MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 0, &newComm) ;
               interCommLeft.push_back(newComm) ;
             }
@@ -219,9 +219,9 @@
           {
             int intraCommSize, intraCommRank ;
-            ep_lib::MPI_Comm_size(intraComm, &intraCommSize) ;
-            ep_lib::MPI_Comm_rank(intraComm, &intraCommRank) ;
+            MPI_Comm_size(intraComm, &intraCommSize) ;
+            MPI_Comm_rank(intraComm, &intraCommRank) ;
             info(50)<<"intercommCreate::client (server level 1) "<<rank_<<" intraCommSize : "<<intraCommSize
                 <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< sndServerGlobalRanks[i]<<endl ;
-            ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, sndServerGlobalRanks[i], 1, &newComm) ;
+            MPI_Intercomm_create(intraComm, 0, CXios::globalComm, sndServerGlobalRanks[i], 1, &newComm) ;
             interCommRight.push_back(newComm) ;
           }
@@ -232,10 +232,10 @@
           clientLeader = leaders[hashString(CXios::xiosCodeId)];
           int intraCommSize, intraCommRank ;
-          ep_lib::MPI_Comm_size(intraComm, &intraCommSize) ;
-          ep_lib::MPI_Comm_rank(intraComm, &intraCommRank) ;
+          MPI_Comm_size(intraComm, &intraCommSize) ;
+          MPI_Comm_rank(intraComm, &intraCommRank) ;
           info(50)<<"intercommCreate::server (server level 2) "<<rank_<<" intraCommSize : "<<intraCommSize
                    <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< clientLeader<<endl ;
 
-          ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 1, &newComm) ;
+          MPI_Intercomm_create(intraComm, 0, CXios::globalComm, clientLeader, 1, &newComm) ;
           interCommLeft.push_back(newComm) ;
         }
@@ -253,20 +253,20 @@
 
         CTimer::get("XIOS").resume() ;
-        ep_lib::MPI_Comm localComm;
+        MPI_Comm localComm;
         oasis_get_localcomm(localComm);
-        ep_lib::MPI_Comm_rank(localComm,&rank_) ;
+        MPI_Comm_rank(localComm,&rank_) ;
 
 //      (1) Create server intraComm
         if (!CXios::usingServer2)
         {
-          ep_lib::MPI_Comm_dup(localComm, &intraComm);
+          MPI_Comm_dup(localComm, &intraComm);
         }
         else
         {
           int globalRank;
-          ep_lib::MPI_Comm_size(localComm,&size) ;
-          ep_lib::MPI_Comm_rank(CXios::globalComm,&globalRank) ;
+          MPI_Comm_size(localComm,&size) ;
+          MPI_Comm_rank(CXios::globalComm,&globalRank) ;
           srvGlobalRanks = new int[size] ;
-          ep_lib::MPI_Allgather(&globalRank, 1, EP_INT, srvGlobalRanks, 1, EP_INT, localComm) ;
+          MPI_Allgather(&globalRank, 1, MPI_INT, srvGlobalRanks, 1, MPI_INT, localComm) ;
 
           int reqNbProc = size*CXios::ratioServer2/100.;
@@ -276,5 +276,5 @@
                 << "It is impossible to dedicate the requested number of processes = "<<reqNbProc
                 <<" to secondary server. XIOS will run in the classical server mode."<<endl;
-            ep_lib::MPI_Comm_dup(localComm, &intraComm);
+            MPI_Comm_dup(localComm, &intraComm);
           }
           else
@@ -339,5 +339,5 @@
             }
             if (serverLevel != 2) myColor=0;
-            ep_lib::MPI_Comm_split(localComm, myColor, rank_, &intraComm) ;
+            MPI_Comm_split(localComm, myColor, rank_, &intraComm) ;
           }
         }
@@ -348,7 +348,7 @@
         vector<string>::iterator it ;
 
-        ep_lib::MPI_Comm newComm ;
+        MPI_Comm newComm ;
         int globalRank ;
-        ep_lib::MPI_Comm_rank(CXios::globalComm,&globalRank);
+        MPI_Comm_rank(CXios::globalComm,&globalRank);
 
 //      (2) Create interComms with models
@@ -359,5 +359,5 @@
           {
             interCommLeft.push_back(newComm) ;
-            if (rank_==0) ep_lib::MPI_Send(&globalRank,1,EP_INT,0,0,newComm) ;
+            if (rank_==0) MPI_Send(&globalRank,1,MPI_INT,0,0,newComm) ;
           }
         }
@@ -365,6 +365,6 @@
 //      (3) Create interComms between primary and secondary servers
         int intraCommSize, intraCommRank ;
-        ep_lib::MPI_Comm_size(intraComm,&intraCommSize) ;
-        ep_lib::MPI_Comm_rank(intraComm, &intraCommRank) ;
+        MPI_Comm_size(intraComm,&intraCommSize) ;
+        MPI_Comm_rank(intraComm, &intraCommRank) ;
 
         if (serverLevel == 1)
@@ -375,5 +375,5 @@
             info(50)<<"intercommCreate::client (server level 1) "<<globalRank<<" intraCommSize : "<<intraCommSize
                 <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< srvSndLeader<<endl ;
-            ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, srvSndLeader, 0, &newComm) ;
+            MPI_Intercomm_create(intraComm, 0, CXios::globalComm, srvSndLeader, 0, &newComm) ;
             interCommRight.push_back(newComm) ;
           }
@@ -383,5 +383,5 @@
           info(50)<<"intercommCreate::server (server level 2)"<<globalRank<<" intraCommSize : "<<intraCommSize
                    <<" intraCommRank :"<<intraCommRank<<"  clientLeader "<< srvGlobalRanks[0] <<endl ;
-          ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, srvGlobalRanks[0], 0, &newComm) ;
+          MPI_Intercomm_create(intraComm, 0, CXios::globalComm, srvGlobalRanks[0], 0, &newComm) ;
           interCommLeft.push_back(newComm) ;
         }
@@ -393,5 +393,5 @@
 
 
-      ep_lib::MPI_Comm_rank(intraComm, &rank) ;
+      MPI_Comm_rank(intraComm, &rank) ;
       if (rank==0) isRoot=true;
       else isRoot=false;
@@ -406,9 +406,9 @@
       delete eventScheduler ;
 
-      for (std::list<ep_lib::MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
-        ep_lib::MPI_Comm_free(&(*it));
-
-      for (std::list<ep_lib::MPI_Comm>::iterator it = contextIntraComms.begin(); it != contextIntraComms.end(); it++)
-        ep_lib::MPI_Comm_free(&(*it));
+      for (std::list<MPI_Comm>::iterator it = contextInterComms.begin(); it != contextInterComms.end(); it++)
+        MPI_Comm_free(&(*it));
+
+      for (std::list<MPI_Comm>::iterator it = contextIntraComms.begin(); it != contextIntraComms.end(); it++)
+        MPI_Comm_free(&(*it));
 
 //      for (std::list<MPI_Comm>::iterator it = interComm.begin(); it != interComm.end(); it++)
@@ -418,13 +418,13 @@
 //          MPI_Comm_free(&(*it));
 
-        for (std::list<ep_lib::MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++)
-          ep_lib::MPI_Comm_free(&(*it));
-
-      ep_lib::MPI_Comm_free(&intraComm);
+        for (std::list<MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++)
+          MPI_Comm_free(&(*it));
+
+      MPI_Comm_free(&intraComm);
 
       if (!is_MPI_Initialized)
       {
         if (CXios::usingOasis) oasis_finalize();
-        else ep_lib::MPI_Finalize() ;
+        else MPI_Finalize() ;
       }
       report(0)<<"Performance report : Time spent for XIOS : "<<CTimer::get("XIOS server").getCumulatedTime()<<endl  ;
@@ -465,5 +465,5 @@
      void CServer::listenFinalize(void)
      {
-        list<ep_lib::MPI_Comm>::iterator it, itr;
+        list<MPI_Comm>::iterator it, itr;
         int msg ;
         int flag ;
@@ -471,18 +471,18 @@
         for(it=interCommLeft.begin();it!=interCommLeft.end();it++)
         {
-           ep_lib::MPI_Status status ;
+           MPI_Status status ;
            traceOff() ;
-           ep_lib::MPI_Iprobe(0,0,*it,&flag,&status) ;
+           MPI_Iprobe(0,0,*it,&flag,&status) ;
            traceOn() ;
            if (flag==true)
            {
-              ep_lib::MPI_Recv(&msg,1,EP_INT,0,0,*it,&status) ;
+              MPI_Recv(&msg,1,MPI_INT,0,0,*it,&status) ;
               info(20)<<" CServer : Receive client finalize"<<endl ;
               // Sending server finalize message to secondary servers (if any)
               for(itr=interCommRight.begin();itr!=interCommRight.end();itr++)
               {
-                ep_lib::MPI_Send(&msg,1,EP_INT,0,0,*itr) ;
+                MPI_Send(&msg,1,MPI_INT,0,0,*itr) ;
               }
-              ep_lib::MPI_Comm_free(&(*it));
+              MPI_Comm_free(&(*it));
               interCommLeft.erase(it) ;
               break ;
@@ -493,10 +493,10 @@
          {
            int i,size ;
-           ep_lib::MPI_Comm_size(intraComm,&size) ;
-           ep_lib::MPI_Request* requests= new ep_lib::MPI_Request[size-1] ;
-           ep_lib::MPI_Status* status= new ep_lib::MPI_Status[size-1] ;
-
-           for(int i=1;i<size;i++) ep_lib::MPI_Isend(&msg,1,EP_INT,i,4,intraComm,&requests[i-1]) ;
-           ep_lib::MPI_Waitall(size-1,requests,status) ;
+           MPI_Comm_size(intraComm,&size) ;
+           MPI_Request* requests= new MPI_Request[size-1] ;
+           MPI_Status* status= new MPI_Status[size-1] ;
+
+           for(int i=1;i<size;i++) MPI_Isend(&msg,1,MPI_INT,i,4,intraComm,&requests[i-1]) ;
+           MPI_Waitall(size-1,requests,status) ;
 
            finished=true ;
@@ -510,13 +510,13 @@
      {
         int flag ;
-        ep_lib::MPI_Status status ;
+        MPI_Status status ;
         int msg ;
 
         traceOff() ;
-        ep_lib::MPI_Iprobe(0,4,intraComm, &flag, &status) ;
+        MPI_Iprobe(0,4,intraComm, &flag, &status) ;
         traceOn() ;
         if (flag==true)
         {
-           ep_lib::MPI_Recv(&msg,1,EP_INT,0,4,intraComm,&status) ;
+           MPI_Recv(&msg,1,MPI_INT,0,4,intraComm,&status) ;
            finished=true ;
         }
@@ -534,18 +534,18 @@
      {
         int flag ;
-        ep_lib::MPI_Status status ;
-        list<ep_lib::MPI_Comm>::iterator it;
+        MPI_Status status ;
+        list<MPI_Comm>::iterator it;
         int msg ;
         static int nbCompound=0 ;
         int size ;
         static bool sent=false ;
-        static ep_lib::MPI_Request* allRequests ;
-        static ep_lib::MPI_Status* allStatus ;
+        static MPI_Request* allRequests ;
+        static MPI_Status* allStatus ;
 
 
         if (sent)
         {
-          ep_lib::MPI_Comm_size(intraComm,&size) ;
-          ep_lib::MPI_Testall(size,allRequests, &flag, allStatus) ;
+          MPI_Comm_size(intraComm,&size) ;
+          MPI_Testall(size,allRequests, &flag, allStatus) ;
           if (flag==true)
           {
@@ -559,22 +559,22 @@
         for(it=interCommLeft.begin();it!=interCommLeft.end();it++)
         {
-           ep_lib::MPI_Status status ;
+           MPI_Status status ;
            traceOff() ;
-           ep_lib::MPI_Iprobe(0,5,*it,&flag,&status) ;  // tags oasis_endded = 5
+           MPI_Iprobe(0,5,*it,&flag,&status) ;  // tags oasis_endded = 5
            traceOn() ;
            if (flag==true)
            {
-              ep_lib::MPI_Recv(&msg,1,EP_INT,0,5,*it,&status) ; // tags oasis_endded = 5
+              MPI_Recv(&msg,1,MPI_INT,0,5,*it,&status) ; // tags oasis_endded = 5
               nbCompound++ ;
               if (nbCompound==interCommLeft.size())
               {
-                for (std::list<ep_lib::MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++)
+                for (std::list<MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++)
                 {
-                   ep_lib::MPI_Send(&msg,1,EP_INT,0,5,*it) ; // tags oasis_endded = 5
+                   MPI_Send(&msg,1,MPI_INT,0,5,*it) ; // tags oasis_endded = 5
                 }
-                ep_lib::MPI_Comm_size(intraComm,&size) ;
-                allRequests= new ep_lib::MPI_Request[size] ;
-                allStatus= new ep_lib::MPI_Status[size] ;
-                for(int i=0;i<size;i++) ep_lib::MPI_Isend(&msg,1,EP_INT,i,5,intraComm,&allRequests[i]) ; // tags oasis_endded = 5
+                MPI_Comm_size(intraComm,&size) ;
+                allRequests= new MPI_Request[size] ;
+                allStatus= new MPI_Status[size] ;
+                for(int i=0;i<size;i++) MPI_Isend(&msg,1,MPI_INT,i,5,intraComm,&allRequests[i]) ; // tags oasis_endded = 5
                 sent=true ;
               }
@@ -590,5 +590,5 @@
      {
        int flag ;
-       ep_lib::MPI_Status status ;
+       MPI_Status status ;
        const int root=0 ;
        int msg ;
@@ -607,9 +607,9 @@
          
        traceOff() ;
-       ep_lib::MPI_Iprobe(root,5,intraComm, &flag, &status) ;
+       MPI_Iprobe(root,5,intraComm, &flag, &status) ;
        traceOn() ;
        if (flag==true)
        {
-         ep_lib::MPI_Recv(&msg,1,EP_INT,root,5,intraComm,&status) ; // tags oasis_endded = 5
+         MPI_Recv(&msg,1,MPI_INT,root,5,intraComm,&status) ; // tags oasis_endded = 5
          boost::hash<string> hashString;
          size_t hashId = hashString("oasis_enddef");
@@ -626,8 +626,8 @@
      {
 
-       ep_lib::MPI_Status status ;
+       MPI_Status status ;
        int flag ;
        static char* buffer ;
-       static ep_lib::MPI_Request request ;
+       static MPI_Request request ;
        static bool recept=false ;
        int rank ;
@@ -637,20 +637,12 @@
        {
          traceOff() ;
-         #ifdef _usingMPI
-         ep_lib::MPI_Iprobe(MPI_ANY_SOURCE,1,CXios::globalComm, &flag, &status) ;
-         #elif _usingEP
-         ep_lib::MPI_Iprobe(-2,1,CXios::globalComm, &flag, &status) ;
-         #endif
+         MPI_Iprobe(MPI_ANY_SOURCE,1,CXios::globalComm, &flag, &status) ;
          traceOn() ;
          if (flag==true)
          {
-           #ifdef _usingMPI
            rank=status.MPI_SOURCE ;
-           #elif _usingEP
-           rank=status.ep_src ;
-           #endif
-           ep_lib::MPI_Get_count(&status,EP_CHAR,&count) ;
+           MPI_Get_count(&status,MPI_CHAR,&count) ;
            buffer=new char[count] ;
-           ep_lib::MPI_Irecv((void*)buffer,count,EP_CHAR,rank,1,CXios::globalComm,&request) ;
+           MPI_Irecv((void*)buffer,count,MPI_CHAR,rank,1,CXios::globalComm,&request) ;
            recept=true ;
          }
@@ -659,14 +651,10 @@
        {
          traceOff() ;
-         ep_lib::MPI_Test(&request,&flag,&status) ;
+         MPI_Test(&request,&flag,&status) ;
          traceOn() ;
          if (flag==true)
          {
-           #ifdef _usingMPI
            rank=status.MPI_SOURCE ;
-           #elif _usingEP
-           rank=status.ep_src ;
-           #endif
-           ep_lib::MPI_Get_count(&status,EP_CHAR,&count) ;
+           MPI_Get_count(&status,MPI_CHAR,&count) ;
            recvContextMessage((void*)buffer,count) ;
            delete [] buffer ;
@@ -701,9 +689,9 @@
        {
          int size ;
-         ep_lib::MPI_Comm_size(intraComm,&size) ;
+         MPI_Comm_size(intraComm,&size) ;
 //         MPI_Request* requests= new MPI_Request[size-1] ;
 //         MPI_Status* status= new MPI_Status[size-1] ;
-         ep_lib::MPI_Request* requests= new ep_lib::MPI_Request[size] ;
-         ep_lib::MPI_Status* status= new ep_lib::MPI_Status[size] ;
+         MPI_Request* requests= new MPI_Request[size] ;
+         MPI_Status* status= new MPI_Status[size] ;
 
          CMessage msg ;
@@ -717,5 +705,5 @@
          for(int i=0; i<size; i++)
          {
-           ep_lib::MPI_Isend(sendBuff,sendBuffer.count(),EP_CHAR,i,2,intraComm,&requests[i]) ;
+           MPI_Isend(sendBuff,sendBuffer.count(),MPI_CHAR,i,2,intraComm,&requests[i]) ;
          }
 
@@ -729,12 +717,12 @@
      void CServer::listenRootContext(void)
      {
-       ep_lib::MPI_Status status ;
+       MPI_Status status ;
        int flag ;
        static std::vector<void*> buffers;
-       static std::vector<ep_lib::MPI_Request> requests ;
+       static std::vector<MPI_Request> requests ;
        static std::vector<int> counts ;
        static std::vector<bool> isEventRegistered ;
        static std::vector<bool> isEventQueued ;
-       ep_lib::MPI_Request request;
+       MPI_Request request;
 
        int rank ;
@@ -745,13 +733,13 @@
        // (1) Receive context id from the root, save it into a buffer
        traceOff() ;
-       ep_lib::MPI_Iprobe(root,2,intraComm, &flag, &status) ;
+       MPI_Iprobe(root,2,intraComm, &flag, &status) ;
        traceOn() ;
        if (flag==true)
        {
          counts.push_back(0);
-         ep_lib::MPI_Get_count(&status,EP_CHAR,&(counts.back())) ;
+         MPI_Get_count(&status,MPI_CHAR,&(counts.back())) ;
          buffers.push_back(new char[counts.back()]) ;
          requests.push_back(request);
-         ep_lib::MPI_Irecv((void*)(buffers.back()),counts.back(),EP_CHAR,root,2,intraComm,&(requests.back())) ;
+         MPI_Irecv((void*)(buffers.back()),counts.back(),MPI_CHAR,root,2,intraComm,&(requests.back())) ;
          isEventRegistered.push_back(false);
          isEventQueued.push_back(false);
@@ -762,5 +750,5 @@
        {
          // (2) If context id is received, register an event
-         ep_lib::MPI_Test(&requests[ctxNb],&flag,&status) ;
+         MPI_Test(&requests[ctxNb],&flag,&status) ;
          if (flag==true && !isEventRegistered[ctxNb])
          {
@@ -799,12 +787,12 @@
        // (1) create interComm (with a client)
        // (2) initialize client and server (contextClient and contextServer)
-       ep_lib::MPI_Comm inter;
+       MPI_Comm inter;
        if (serverLevel < 2)
        {
-         ep_lib::MPI_Comm contextInterComm;
-         ep_lib::MPI_Intercomm_create(intraComm, 0, CXios::globalComm, leaderRank, 10+leaderRank, &contextInterComm);
-         ep_lib::MPI_Intercomm_merge(contextInterComm,1,&inter);
-         ep_lib::MPI_Barrier(inter);
-         ep_lib::MPI_Comm_free(&inter);
+         MPI_Comm contextInterComm;
+         MPI_Intercomm_create(intraComm, 0, CXios::globalComm, leaderRank, 10+leaderRank, &contextInterComm);
+         MPI_Intercomm_merge(contextInterComm,1,&inter);
+         MPI_Barrier(inter);
+         MPI_Comm_free(&inter);
          context->initServer(intraComm,contextInterComm);
          contextInterComms.push_back(contextInterComm);
@@ -819,5 +807,5 @@
        else if (serverLevel == 2)
        {
-         ep_lib::MPI_Comm_dup(interCommLeft.front(), &inter);
+         MPI_Comm_dup(interCommLeft.front(), &inter);
          contextInterComms.push_back(inter);
          context->initServer(intraComm, contextInterComms.back());
@@ -830,6 +818,6 @@
        {
          int i = 0, size;
-         ep_lib::MPI_Comm_size(intraComm, &size) ;
-         for (std::list<ep_lib::MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++, ++i)
+         MPI_Comm_size(intraComm, &size) ;
+         for (std::list<MPI_Comm>::iterator it = interCommRight.begin(); it != interCommRight.end(); it++, ++i)
          {
            StdString str = contextId +"_server_" + boost::lexical_cast<string>(i);
@@ -841,8 +829,8 @@
            CBufferOut buffer(buff,messageSize) ;
            buffer<<msg ;
-           ep_lib::MPI_Send(buff, buffer.count(), EP_CHAR, sndServerGlobalRanks[i], 1, CXios::globalComm) ;
-           ep_lib::MPI_Comm_dup(*it, &inter);
+           MPI_Send(buff, buffer.count(), MPI_CHAR, sndServerGlobalRanks[i], 1, CXios::globalComm) ;
+           MPI_Comm_dup(*it, &inter);
            contextInterComms.push_back(inter);
-           ep_lib::MPI_Comm_dup(intraComm, &inter);
+           MPI_Comm_dup(intraComm, &inter);
            contextIntraComms.push_back(inter);
            context->initClient(contextIntraComms.back(), contextInterComms.back()) ;
@@ -874,5 +862,5 @@
      {
        int rank;
-       ep_lib::MPI_Comm_rank(intraComm,&rank);
+       MPI_Comm_rank(intraComm,&rank);
        return rank;
      }
@@ -897,5 +885,5 @@
       int size = 0;
       int id;
-      ep_lib::MPI_Comm_size(CXios::globalComm, &size);
+      MPI_Comm_size(CXios::globalComm, &size);
       while (size)
       {
